• Revisa si el template de tu WordPress si cumple los estándares

    Data:2012.10.17 | CategoríaWordpress | Números de Comentarios0

    Te gustaría saber si el tema que usas o estás programando cumple los estándares de revisión de temas WordPress.?

    Existe una página oficial en el codex donde tienes las líneas maestras de cumplimiento de estándares para temas WordPress, que puedes usar como lista de comprobación para tu template, pero ¿que tal si lo automatizamos un poco?.

    Pues además es muy fácil, pues tenemos un plugin, Theme check, que una vez instalado, desde su página de administración, situada en “Apariencia -> Theme check  hace una comprobación de cualquier tema que tengas instalado en tu WordPress, aunque no esté activo.

    El único consejo es que antes actives wp_debug, algo que deberías hacer incluso antes de instalarlos, pues tendrás una revisión extra mediante los mensajes de error en cualquier operación, es un coñazo tenerlo activo siempre pero ahora sería una buena ocasión para que en tu wp-config.php tuvieras la línea …

    1
    define(‘WP_DEBUG’, true);

    Luego, si quieres, lo pones  a false o borras la línea.

    Una vez eliges el template  a comprobar y darle al botón de “Check it” te ofrecerá en la misma ventana una serie de advertencias o recomendaciones para adaptar el tema a los estándares. Y si, también los temas por defecto, como Twenty Eleven, usan funciones que podrían mejorarse, como puedes ver en la captura.

    Mas info de la noticia en el siguiente link

    VN:F [1.9.22_1171]
    Rating: +1 (from 1 vote)
  • Joomla 3.0

    Data:2012.10.11 | CategoríaJoomla | Números de Comentarios0

    Ya tenemos disponible la nueva rama de Joomla 3.0 para ofrecer nuevas características atractivas que nos facilitaran el trabajo. Esta nueva versión es completamente estable para las nuevas versiones de PHP 5.3 o superior, esto nos ofrece un mejor rendimiento en nuestras aplicaciones web.

    Joomla 3.0.0 contiene

      • 34 nuevas características añadidas (incluye 15 funciones adicionales en 2.5.1 – 2.5.7)
      • 491 problemas corregidos en el Tracker
      • 0 cuestiones de seguridad corregidos

    ¿Cuáles son las nuevas características de Joomla! 3.0?

    • La incorporación de Twitter Bootstrap en un paquete jui para multimedia.
    • Una nueva plantilla para dispositivos móviles para la administración (backend) – Isis – y su interfaz.
    • Una nueva plantilla para el sitio (frontend) – Protostar – construida usando Bootstrap de Twitter.
    • Plantilla actualizada accesible llamada Beez3.
    • Simplificación en 3 pasos de la instalación.
    • Controlador PostgreSQL que permitirá ejecutar Joomla 3.0 utilizando la base de datos PostgreSQL.
    • Controlador PHP Memcached.
    • Uso de JFeed para la gestión de Feeds en lugar de SimplePie.
    • La instalación de paquetes de idiomas directamente desde el gestor de extensiones.
    • Grupo de usuarios “Invitados” está presente por defecto.
    • Almacenamiento de artículos en blanco permitido.
    • Nuevo módulo de estadísticas en el backend.
    • Actualización de TinyMCE a la versión 3.5.6.
    • Continúa la limpieza de código antiguo no utilizado, archivos y campos de la base de datos y tablas y la estandarización de tablas.
    • Mejoras en las Búsquedas Inteligentes.
    • Un amplio trabajo sobre la normalización de código de estilo y coherencia de este.
    • Unidad de Pruebas en el CMS.
    • Actualización del sistema de pruebas en el CMS.
    • Elemento del menú activo personalizable para el módulo de menús.
    • Permitir que el plugin SEF añada la url canónica en el encabezado.
    • Versión 12.2 de Joomla! Platform.

    Para mas informacion acceder al post original “Joomla 3.0

    VN:F [1.9.22_1171]
    Rating: +3 (from 3 votes)
  • Joomla 2.5.0

    Data:2012.02.10 | CategoríaJoomla | Números de Comentarios0

    El proyecto Joomla! Spanish se complace en anunciar la inmediata disponibilidad de Joomla! 2.5.0- Spanish. Joomla 2.5.1 Spanish

    Esta es una versión de seguridad. La versión 2.5.0 es la actualización de la versión 1.7. (Hay que tener en cuenta que se ha saltado de la versión 1.7.x a 2.5.x.).

    La versión 2.5.0 es la segunda hecha dentro del ciclo de nueva versión de seis meses que se inició con la entrega de Joomla 1.6 en enero de 2011. La versión 2.5 es de Soporte de Largo Plazo (LTS) que contará con el soporte de al menos 18 meses.

    El objetivo del Grupo de Desarrollo es continuar proporcionando actualizaciones regulares y frecuentes para la comunidad de Joomla!.

    La versión 1.7 llegará al final de su ciclo dentro de un mes, el 24 de febrero de 2012. Todos los usuarios de la versión 1.7 deberán actualizar a la versión 2.5.0 antes de ese período. El proceso de actualización es muy sencillo, y las instrucciones completas están disponibles aquí. Tenga en cuenta que ahora hay maneras más fáciles y mejores para realizar la actualización.

     

     

    VN:F [1.9.22_1171]
    Rating: +1 (from 1 vote)
  • Joomla! Spanish 1.5.25 estable-Full

    Data:2011.12.30 | CategoríaJoomla | Números de Comentarios0

    Joomla vuelve a sacar una nueva version para tener actualizadas las librerías y algunos aspectos que hacen referencia a la seguridad.

    Puede obtener el paquete desde el siguiente LINKJoomla 1.5.15 Released

     

     

    VN:F [1.9.22_1171]
    Rating: 0 (from 0 votes)
  • VirtueMart 2.0 para Joomla 1.7

    Data:2011.12.13 | CategoríaJoomla | Números de Comentarios0

    La última versión del componente  es compatible con joomla 1.5 y joomla 1.7. En esta nueva versión se ha reducido el código base y se han rediseñado las tablas que emplean ahora las convenciones nooku. El sistema lleva integrado el XSS y Sql inyection para evitar ataques.

    La lista de novedades es la siguiente:

    • Se utilizan mas clases abstractas.
    • Rediseño en la disposición de las tablas.
    • Añadida la opción de registrarse al realizar el pedido.
    • Rediseño del backend.
    • Nuevo javascript (jQuery para evitar los problemas de incompatibilidad de Mootools)
    • Formato de moneda definido individualmente.
    • Los precios que se muestran dependen de los grupos de usuarios.
    • Nuevas opciones de búsqueda y ordenación.
    • Sistema de actualización empleando Akeeba Release System.

    Porfin podemos hacer uso de este componente en Joomla 1.7!!!!

    VN:F [1.9.22_1171]
    Rating: 0 (from 0 votes)
  • Actualizacion Joomla 1.5.24

    Data:2011.11.17 | CategoríaJoomla | Números de Comentarios0

    Nueva actualización para la version 1.5 de Joomla, que incluye varios parches de seguridad para reforzar y aumentar la seguridad de nuestro gestor de contenidos.

    Se recomienda a los usuarios de esta version proceder a actualizar su version a la última 1.5.24, facilitamos un link para el acceso a los diferentes paquetes:

    http://www.joomlaspanish.org/noticias/200-versiones-del-pack-joomlaspanish-y-joomla/423-liberada-joomla-1524-senu-takaa-ama-naiki-.html

    El grupo desarrolladores desean continuar dando soporte a esta version de Joomla para que por el momento no quede en un segundo plano.

     

    VN:F [1.9.22_1171]
    Rating: 0 (from 0 votes)
  • Actualizar Joomla 1.5 a 1.7

    Data:2011.10.14 | CategoríaAspectos generales | Números de Comentarios0

    Todos los que utilizan el CMS Joomla han tenido la siguiente duda. ¿Actualizo a Joomla 1.7 o no?

    Más allá de si se debe o no. (Muchos complementos de Joomla sólo están disponibles en 1.5 y puede no salirnos a cuenta) los amigos de CDmon han realizado un tutorial para realizar esta actualización.

    http://info.cdmon.com/index.php?page=actualizar-joomla-1-7&hl=esp

    Está claro que no se podrán importar todos los temas y/o complementos pero es un primer paso para pasar el contenido de nuestro Joomla a la versión 1.7. No está mal.

     

    VN:F [1.9.22_1171]
    Rating: 0 (from 0 votes)
  • Mejoras con la actualización del PHP 5.2 a 5.3

    Data:2011.09.08 | CategoríaAspectos generales, Sin categoría | Números de Comentarios1

    Hoy os vamos a enseñar cuales son las nuevas mejoras del PHP 5.3 ya que ahora sólo se escucha hablar de esta versión.

    Como nuevas características frente a la versión 5.2 encontramos las siguientes:

    • Se ha añadido soporte para espacios de nombres.
    • Se ha añadido soporte para Enlaces Estáticos en Tiempo de ejecución.
    • Se ha añadido soporte para etiquetas de saltos (goto limitado).
    • Se ha añadido soporte nativo para Funciones Anónimas (funciones Lambda).
    • Hay dos nuevos métodos mágicos, __callStatic y __invoke.
    • Ahora hay soporte para sintaxis Nowdoc, similar a la sintaxis Heredoc, pero con comillas simples.
    • Ahora es posible utilizar Heredoc para inicializar tanto variables estáticas como propiedades/constantes de clases.
    • Ahora se puede declarar Heredocs usando comillas dobles, complementando la sintaxis de Nowdoc.
    • Ahora se pueden declarar Constants desde fuera de una clase utilizando la palabra clave const.
    • Ahora hay una forma reducida del operador ternario: ?:.
    • La envoltura para flujos HTTP ahora considera los códigos de estado del 200 al 399 como éxito.
    • Ahora es posible el acceso dinámico a métodos estáticos.
    • Ahora se pueden anidra Excepciones.
    • Se ha añadido un recolector de basuras para referencias circulares, y está activado por omisión.
    • La función mail() ahora soporta registros de correos enviados. (Nota: Esto sólo se aplica a correos enviados mediante esta función.)

    Al mismo tiempo también tenemos que deciros que no todo siempre es de color de rosa, a continuación os dejamos unas cuantas incompatibilidades con versiones anteriores:

    • La nueva API encargada de interpretar parámetros internos ha sido aplicada en todas las extensiones que incluye PHP 5.3.x. Esta API de interpretación de parámetros provoca que las funciones devuelvan NULL cuando se le proporcionen parámetros incompatibles. Existen algunas excepciones a esta regla, como la función get_class(), que seguirá devolviendo FALSE en caso de error.
    • clearstatcache() ya no limpia por omisión la caché de la ruta real.
    • realpath() ahora es completamente independiente de la plataforma. Como consecuencia, las rutas relativas inválidas como por ejemplo __FILE__ . “/../x” ya no funcionan.
    • La familia de funciones call_user_func() ahora propagan $this incluso en llamadas desde clases padre.
    • Las funciones de array natsort(), natcasesort(), usort(), uasort(), uksort(), array_flip(), y array_unique() ya no aceptan objetos como parámetros. Para poder realizarlo, primero debe convertir el objeto en un array.
    • Ha cambiado el comportamiento de funciones con parámetros por referencia llamados por valor. Donde antes se aceptaban parámetros por valor, ahora se emite un error fatal. Todo código anterior que proporcionara constantes o valores literales a funciones que esperan variables por referencia, necesitarán modificarse para asignar el valor a una variable antes de llamar a la función.
    • La nueva biblioteca mysqlnd necesita el uso del nuevo formato de contraseñas de 41 bytes de MySQL 4.1. Si se continua usando las antiguas contraseñas de 16 bytes, mysql_connect() y otras funciones similares emitiran el error, “mysqlnd cannot connect to MySQL 4.1+ using old authentication.”
    • La nueva biblioteca mysqlnd no lee el fichero de configuración de mysql (my.cnf/my.ini), tal y como hacía la anterior biblioteca de mysql. Si su código depende de los ajustes de dicho fichero de configuración, puede cargarlo explícitamente con la función mysqli_options(). Tenga en cuenta que esto significa que las constantes específicas de PDO PDO::MYSQL_ATTR_READ_DEFAULT_FILE y PDO::MYSQL_ATTR_READ_DEFAULT_GROUP no estarán definidas si el soporte de MySQL en PDO está compilado con mysqlnd.
    • La / final se ha eliminado de la clase SplFileInfo y de otras clases de directorios relacionadas.
    • El método mágico __toString ya no acepta parámetros.
    • Los métodos mágicos __get, __set, __isset, __unset,y __call deben ser siempre públicos, y ya no pueden ser estáticos. Ahora hay una definición de estos métodos obligatoria.
    • Ahora se invoca al método mágico __call cuando se accede a métodos privados y protegidos.
    • func_get_arg(), func_get_args() y func_num_args() ya no pueden ser llamados desde el ámbito de un fichero que se ha incluido llamando a include() o require() desde una función desde el fichero llamado.
    • Se ha añadido una capa que emula la extensión MHASH para envolver la extensión Hash. En cualquier caso, no cubre todos los algoritmos, a destacar el algoritmo de hash s2k. Esto significa que desde PHP 5.3.0 ya no está disponible el hash con s2k.

    Por estos motivos os aconsejamos someter a pruebas y comprobaciones sus hosts antes de pasarlos a la nueva versión de PHP 5.3 por posibles incompatibilidades.

    Hasta más leer

    VN:F [1.9.22_1171]
    Rating: +2 (from 2 votes)
  • Consejos de seguridad para mantener un CMS

    Data:2011.09.02 | CategoríaAspectos generales | Números de Comentarios0

    Como habéis podido observar, en las últimas semanas la seguridad de algunos CMS se ha visto comprometida.

    No es nuevo que  se vulnere la seguridad de los CMS, precisamente es por eso que siempre sacan nuevas versiones, para mejorar este y muchos otros aspectos.

    Hoy, desde exprimetuhost, en relación a la seguridad, os ponemos una serie de consejos para tener en cuenta en el mantenimiento de un CMS.

    • Elegir un CMS con una comunidad que lo soporte. Si hay una comunidad de desarrolladores detrás siempre dispondremos de nuevas versiones y posibilidad de corregir errores.
    • Elegir un servicio de hosting seguro. Siempre es mejor seleccionar una empresa reconocida que nos de servicio antes que proveedores desconocidos que nos ofrecen alojamientos muy baratos o gratuitos.
    • Configurar correctamente el alojamiento. Es importante controlar los permisos y parámetros de seguridad del alojamiento.
    • Actualizar  el CMS.  El punto fuerte de los CMS es que se van actualizando con el paso del tiempo. Tener la plataforma actualizada garantiza más protección a posibles vulnerabilidades.
    • Evitar instalar módulos de terceros.  Es muy aconsejable evitar instalar módulos, complementos o plugins de terceros que no hayan pasado por la revisión de seguridad oportuna. Casi siempre un CMS es vulnerable por culpa de un módulo externo.
    • Administrar correctamente la web.  Tenemos que vigilar con las contraseñas que utilizamos y a quién damos acceso. También tenemos que controlar la seguridad en formularios y todos los apartados sensibles.
    • Suscribirse a foros y listas de seguridad  sobre los CMS es muy recomendable. Así estaremos informados de cualquier suceso que la comunidad detecte.

    Así que ya sabéis, es muy importante tener controlados nuestros CMS si queremos evitarnos sustos de hackeos, defaceds y demás….

    Si queréis saber más podéis consultar el documento en la web de Inteco.

    VN:F [1.9.22_1171]
    Rating: +1 (from 1 vote)
  • Prestashop Hackeado!!!

    Data:2011.08.25 | CategoríaAspectos generales | Números de Comentarios0

    A fecha de hoy nos ha llegado la noticia que la página oficial de Prestashop fue hackeada según ellos por un Script malintencionado.

    Si somos usuarios de este CMS deberemos revisar nuestros proyectos, sobretodo si están gestionados por las siguientes versiones:

    1.4/1.4.1/1.4.2/1.4.3/1.4.4

    ¿Cómo podemos verificar si nuestra página ha sido modificada ilícitamente?  En la página oficial de Prestashop hacen referencia a los siguientes elementos:

    • Un archivo her.php se encuentra en la raíz de la carpeta /modules
    • Un archivo .php diferente del index.php se encuentra en las carpetas upload y download
    • El archivo footer.tpl ha sido modificado.
    • La carpeta tools/smartyv2 ha sido eliminada

    Desde Exprimetuhost recomendamos encarecidamente modificar el nombre de nuestras bases de datos conjuntamente con la contraseña Mysql asociada a la misma, de esta forma evitaremos males mayores a nuestro contenido. También podéis descargaros el siguiente parche.

    VN:F [1.9.22_1171]
    Rating: 0 (from 2 votes)

Encuesta

¿Qué CMS utilizas para montar tiendas online?

  • Magento (67%, 2 Votes)
  • Prestashop (33%, 1 Votes)
  • Oscommerce (0%, 0 Votes)
  • Zen-Cart (0%, 0 Votes)
  • Virtuemart (0%, 0 Votes)
  • Otro (0%, 0 Votes)

Total Voters: 3

Loading ... Loading ...

Comentarios recientes

Blog no corporativo de

CDmon

Categorías